| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::Technique::GPUDeviceNameRule Struct Reference

Rule controlling whether technique is deemed supported based on GPU device name. More...

`#include <OgreTechnique.h>`

## Public Member Functions
| GPUDeviceNameRule ()
| GPUDeviceNameRule (const String &pattern, IncludeOrExclude ie, bool caseSen)

## Public Attributes
bool | caseSensitive
String | devicePattern
IncludeOrExclude | includeOrExclude

## Detailed Description

Rule controlling whether technique is deemed supported based on GPU device name.

## Constructor & Destructor Documentation

## ◆ GPUDeviceNameRule() [1/2]

Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule | ( |  | ) |
| inline

## ◆ GPUDeviceNameRule() [2/2]

Ogre::Technique::GPUDeviceNameRule::GPUDeviceNameRule | ( | const String & | pattern,
|  | IncludeOrExclude | ie,
|  | bool | caseSen
| ) |  |
| inline

## Member Data Documentation

## ◆ devicePattern

String Ogre::Technique::GPUDeviceNameRule::devicePattern

## ◆ includeOrExclude

IncludeOrExclude Ogre::Technique::GPUDeviceNameRule::includeOrExclude

## ◆ caseSensitive

bool Ogre::Technique::GPUDeviceNameRule::caseSensitive

The documentation for this struct was generated from the following file:

- OgreTechnique.h